summaryrefslogtreecommitdiff
path: root/tests/df
diff options
context:
space:
mode:
authorBernhard Voelker <mail@bernhard-voelker.de>2012-11-22 15:40:54 +0100
committerBernhard Voelker <mail@bernhard-voelker.de>2012-11-22 15:40:54 +0100
commitce48a81bce089f703a12871f98ab1240c4c3554c (patch)
tree9dcadbc5ea7d5944b8c0b8b7d845ea4a7101649a /tests/df
parent177815716eef942ec3a4364827195fbdcf6f080f (diff)
downloadcoreutils-ce48a81bce089f703a12871f98ab1240c4c3554c.tar.xz
df: reorder default field list of --output option
As the inodes information is usually not so much of interest, and some file systems including btrfs do not even provide it, reading of the full df --output is easier when the block statistic fields come just left of the last field, the mount point. * src/df.c (all_args_string): Move the inodes fields before the block fields. (usage): Likewise. * tests/df/df-output.sh: Likewise. * doc/coreutils.texi (df invocation): Likewise. Additionally, explicitly mention the default order of the --output option.
Diffstat (limited to 'tests/df')
-rw-r--r--tests/df/df-output.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/df/df-output.sh b/tests/df/df-output.sh
index f58633489..960d30e3c 100644
--- a/tests/df/df-output.sh
+++ b/tests/df/df-output.sh
@@ -67,11 +67,11 @@ compare exp out || fail=1
# that --o (without argument) is identical to the full list.
cat <<\EOF > exp || framework_failure_
-Filesystem Type Size Used Avail Use% Inodes IUsed IFree IUse% Mounted on
+Filesystem Type Inodes IUsed IFree IUse% Size Used Avail Use% Mounted on
EOF
-df -h --o=source,fstype,size,used,avail,pcent \
- --o=itotal,iused,iavail,ipcent,target '.' >out || fail=1
+df -h --o=source,fstype,itotal,iused,iavail,ipcent \
+ --o=size,used,avail,pcent,target '.' >out || fail=1
sed -e '1 {
s/ [ ]*/ /g
q